uk.gov.hmrc.releaser

# MavenRepo

###
Related Doc: package releaser

#### trait MavenRepo extends RepoFlavour with BintrayMavenPaths

Linear Supertypes
BintrayMavenPaths, RepoFlavour, BintrayPaths, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MavenRepo
2. BintrayMavenPaths
3. RepoFlavour
4. BintrayPaths
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def releaseCandidateRepo: String

   Definition Classes
     RepoFlavour

2. #### abstract def releaseRepo: String

   Definition Classes
     RepoFlavour

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val artefactBuilder: (VersionMapping, Path) ⇒ MavenArtefacts

   Definition Classes
     MavenRepo → RepoFlavour

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val bintrayRepoRoot: String

   Definition Classes
     BintrayPaths

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def fileDownloadFor(v: VersionDescriptor, fileName: String): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

11. #### def fileUploadFor(v: VersionDescriptor, fileName: String): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def jarFilenameEndingFor(v: VersionDescriptor): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val package: String

    Definition Classes
      BintrayPaths

21. #### val packageExistsRoot: String

    Definition Classes
      BintrayPaths

22. #### val path: String

    Definition Classes
      BintrayPaths

23. #### def releaseExistsFor(v: VersionDescriptor): String

    Definition Classes
      BintrayMavenPaths → BintrayPaths

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BintrayMavenPaths

### Inherited from RepoFlavour

### Inherited from BintrayPaths

### Inherited from AnyRef

### Inherited from Any

### Ungrouped